Package org.eclipse.ant.core

# Class AntSecurityException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.SecurityException
org.eclipse.ant.core.AntSecurityException

All Implemented Interfaces:
  `Serializable`

public class AntSecurityException extends SecurityException
A security exception that is thrown by the AntSecurityManager if an Ant task in some way attempts to halt or exit the Java Virtual Machine. Clients may instantiate this class; it is not intended to be subclassed.

Since:
  2.1
See Also:
  - Serialized Form
Restriction:
  This class is not intended to be subclassed by clients.

## Constructor Summary

Constructors
Constructor
Description
`AntSecurityException()`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AntSecurityException

public AntSecurityException()